import React from 'react';
import { withRouter, NavLink, Switch, Route, Redirect } from 'react-router-dom';

import Home from './pages/home';
import JobList from './pages/user/JobList';
import AddMaterial from './pages/user/addMaterial';
import TrainList from './pages/user/TrainList';
import Train from './pages/user/Train';

import NotFind from './pages/404';

import storage from '@/utils/storage.plugin';
import vc from '@/utils/vconsole';
//第二页，分类模块的文件使用react-loadable按需加载并且代码分割
class App extends React.Component {
  constructor(props) {
    super(props);
    // this.state = {
    //   showSearchArr: ['/home', '/category', '/buy', 'shopcart', 'person', '/search']
    // };
  }
  componentWillMount() {
    vc();
    let newObj = this.analysisQuery();
    if (newObj && newObj.uid) {
      storage.setSS('urlQuery', this.analysisQuery());
    }
  }
  componentDidMount() {}
  analysisQuery() {
    let search = location.search;
    if (!search) return '';
    search = search.substr(1).split('&');
    let obj = {};
    search.forEach(item => {
      let it = item.match(/(.+)=(.+)/);
      obj[it[1]] = it[2];
    });
    return obj;
  }
  render() {
    // let showFooter = true;
    // const { pathname } = this.props.location;
    // const { showSearchArr } = this.state;
    // if (!showSearchArr.find(item => item === pathname)) {
    //   showFooter = false;
    // }
    return (
      <div className="container">
        <div className="page-content">
          <Switch>
            <Route path="/user/job/add" key="add-job" component={AddMaterial} />
            <Route path="/user/job/:id" key="edit-job" component={AddMaterial} />
            <Route path="/user/job" component={JobList} />
            <Route path="/user/train/add" key="add-train" component={Train} />
            <Route path="/user/train/:id" key="edit-train" component={Train} />
            <Route path="/user/train" component={TrainList} />
            <Route component={JobList} />
          </Switch>
        </div>
      </div>
    );
  }
}
export default withRouter(App);

/**
 * {showFooter ? (
  <footer className="footer">
    <NavLink to="/home" activeClassName="active" className="link">
      <i className="material-icons">favorite_border</i>
      <span>首页</span>
    </NavLink>
    <NavLink to="/category" activeClassName="active" className="link">
      <i className="material-icons">reorder</i>
      <span>分类</span>
    </NavLink>
    <NavLink to="/buy" activeClassName="active" className="link">
      <i className="material-icons">card_giftcard</i>
      <span>拼购</span>
    </NavLink>
    <NavLink to="/shopcart" activeClassName="active" className="link">
      <i className="material-icons">bookmark_border</i>
      <span>购物车</span>
    </NavLink>
    <NavLink to="/person" activeClassName="active" className="link">
      <i className="material-icons">account_box</i>
      <span>个人</span>
    </NavLink>
  </footer>
) : null}
 * <Redirect to="/home" />
 */
