import React, { Component } from 'react';
import * as qiniu from 'qiniu-js';
import API from './api';

class Page extends Component {
  constructor(props) {
    super(props);
  }

  // 获取随机字符串
  random_string(len = 32) {
    let chars = 'ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz2345678';
    let maxPos = chars.length;
    let pwd = '';

    for (let i = 0; i < len; i++) {
      pwd += chars.charAt(Math.floor(Math.random() * maxPos));
    }
    return pwd;
  }

  // 得到后缀名
  get_suffix(filename) {
    let pos = filename.lastIndexOf('.');
    let suffix = '';
    if (pos != -1) {
      suffix = filename.substring(pos);
    }
    return suffix;
  }

  // 推测文件随机名
  calculate_object_name(filename) {
    let suffix = this.get_suffix(filename);
    let g_object_name = this.random_string(10) + suffix;

    return g_object_name;
  }

  fileSelected() {
    let _this = this;
    let fileList = [];
    let files = this.refs.fileDom.files,
      filesLen = files.length;
    console.log(files);
    let file = files[0];
    let fileName = this.calculate_object_name(files[0].name);
    let putExtra = {
      fname: files[0].name,
      params: {},
      mimeType: ['image/png', 'image/jpeg', 'image/gif']
    };
    let config = {
      useCdnDomain: true,
      region: qiniu.region.z0,
      useCdnDomain: true
    };

    let observer = {
      next(res) {
        _this.qiniuNext.call(_this, res);
      },
      error(err) {
        _this.qiniuError.call(_this, err);
      },
      complete(res) {
        _this.qiniuComplete.call(_this, res);
      }
    };
    API.nodeQiniuFile().then(res => {
      let observable = qiniu.upload(file, fileName, res.data, putExtra, config);
      observable.subscribe(observer);
    });
  }
  qiniuNext(res) {
    // console.log("qiniuNext >>>>>>>")
    // console.log(res)
  }
  qiniuError(err) {
    this.props.refresh({
      code: -1,
      data: err
    });
  }
  qiniuComplete(res) {
    this.props.refresh({
      code: 0,
      data: res
    });
  }
  componentDidMount() {}
  render() {
    return (
      <input
        type="file"
        name="file"
        ref="fileDom"
        accept="image/*"
        onChange={() => {
          this.fileSelected();
        }}
      />
    );
  }
}

export default Page;
