import React, { Component } from 'react';
import classNames from 'classnames';
import moment from 'moment';
import { withRouter } from 'react-router-dom';
import PropTypes from 'prop-types';

class TrainItem extends Component {
  render() {
    const { data, iType } = this.props;
    // let trainInfo = data;
    return (
      <li className="train-item">
        {data.auditStatus == '3' && <i className="y-icon-collate" />}
        <div className="item-head df box-c">
          <span className="fx1">{moment(data.modifyTime).format('YYYY-MM-DD')}</span>
          {data.auditStatus == '1' && <span className="fz14 c-green">待核对</span>}
          {data.auditStatus == '2' && <span className="fz14 c-red">核对失败</span>}
        </div>
        <div className="item-body df box-c">
          {data.image && <div className="train-head" style={{ backgroundImage: `url(${data.image})` }} />}
          <div className="body-con">
            <div className="fz15 c-24 b ellipsis2">{data.info}</div>
            {iType === 3 && (
              <div className="c6 mt5">
                培训时间：{moment(data.startTime).format('YYYY年MM月')}-{moment(data.endTime).format('YYYY年MM月')}
              </div>
            )}
          </div>
        </div>
        <div className="item-operate box-c">
          <span
            onClick={() => {
              this.props.delToggle({ id: data.id, delType: iType, modifyId: data.modifyId });
            }}
            className="o-btn"
          >
            删除
          </span>
          <span
            onClick={() => {
              console.log(this.props.history);
              if (data.auditStatus == 1) return;
              if (iType === 3) {
                this.props.history.push(`/user/train/${data.id}?modifyId=${data.modifyId}`);
              } else {
                this.props.history.push(`/user/job/${data.id}?index=${iType}&modifyId=${data.modifyId}`);
              }
            }}
            className={classNames('o-btn', { disabled: data.auditStatus == 1 })}
          >
            编辑
          </span>
        </div>
      </li>
    );
  }
}

TrainItem.propTypes = {
  iType: PropTypes.number,
  data: PropTypes.object,
  delToggle: PropTypes.func
};
export default withRouter(TrainItem);
