import React, { Component } from 'react';
import { Link } from 'react-router-dom';

import { Modal, Toast } from 'antd-mobile';
import Layout from '../../Components/static/Layout/Layout';
import TrainItem from '../../Components/page/user/TrainItem';

import app from '../../static/js/native';
import storage from '@/utils/storage.plugin';
import fetch from '@/api/fetch';
import '@/static/styles/user/train-list.less';

class TrainList extends Component {
  state = {
    trainList: [],
    delDialogObj: {
      isShow: false,
      title: '是否删除此条受训背景'
    }
  };
  componentDidMount() {
    document.title = '受训背景';
    app().downRefresh(true);
    app().notRefresh(true);
    const userInfo = storage.getSS('urlQuery');
    this.setState({
      userInfo
    });
    this.initData();
  }
  initData = () => {
    fetch('fetchTrainList', {
      success: res => {
        this.setState({
          trainList: res.data
        });
      }
    });
  };
  delTrain = operate => {
    this.setState({
      delDialogObj: Object.assign({}, this.state.delDialogObj, operate, { isShow: true })
    });
  };
  subDel = () => {
    const { id, modifyId } = this.state.delDialogObj;
    let param = {};
    id != '0' && (param.deleteId = id * 1);
    modifyId != '0' && (param.modifyId = modifyId * 1);
    fetch('delTrain', {
      data: param,
      success: res => {
        this.initData();
        this.onCloseDel();
        Toast.info('删除成功');
      }
    });
  };
  onCloseDel = () => {
    this.setState({
      delDialogObj: Object.assign({}, this.state.delDialogObj, { isShow: false })
    });
  };
  render() {
    const { trainList, delDialogObj } = this.state;
    return (
      <Layout title="受训背景">
        <div className="train-warp">
          {trainList.length ? (
            <div className="train-list">
              <ul>
                {trainList.map((train, index) => {
                  return <TrainItem iType={3} key={index} data={train} delToggle={this.delTrain} />;
                })}
              </ul>

              <div className="bottom-operate">
                <Link to="/user/train/add" className="am-button am-button-primary">
                  添加受训背景
                </Link>
              </div>

              <Modal
                footer={[
                  {
                    text: '点错了',
                    onPress: () => {
                      this.onCloseDel();
                    }
                  },
                  {
                    text: '删除',
                    onPress: () => {
                      this.subDel();
                    }
                  }
                ]}
                className="del-train-dialog"
                transparent
                maskClosable
                visible={delDialogObj.isShow}
                title={delDialogObj.title}
              />
            </div>
          ) : (
            <Link to="/user/train/add" className="add-train">
              <i className="y-icon-add" />
              <span>添加受训背景</span>
            </Link>
          )}
        </div>
      </Layout>
    );
  }
}

// box = () => {
//   return (
//     <div className="yui-cells">
//       <div className="yui-cell yui-cell_access">
//         <div className="yui-cell__bd b">
//           <span className="c-red">*</span> <span>开始时间：</span>
//         </div>
//         <div className="yui-cell__ft">
//           <DatePicker mode="time" extra="请选择" title="开始时间" value={startTime} />
//         </div>
//       </div>
//       <div className="yui-cell yui-cell_access">
//         <div className="yui-cell__bd b">
//           <span className="c-red">*</span> <span>开始时间：</span>
//         </div>
//         <div className="yui-cell__ft">2019-8</div>
//       </div>
//     </div>
//   );
// };
export default TrainList;
