export const ENV = process.env.NODE_ENV;
export const isBrowser = process.browser;
export const UA = isBrowser ? navigator.userAgent : '';
export const isIOS = UA && /iphone|ipad|ipod|ios/.test(UA.toLowerCase());
export const isAndroid = UA.indexOf('Android') > -1 || UA.indexOf('Adr') > -1; //android终端
export const isWX = /MicroMessenger/.test(UA);
export const TERMINAL = isIOS ? 'IOS' : 'Android';
console.log(UA);
export function getUrlParam(name, _location) {
  let reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)'); // 构造一个含有目标参数的正则表达式对象
  let r;

  if (_location) {
    if (!_location.includes('?')) {
      return null;
    }
    let loc = _location.split('?');
    if (loc.length > 1) {
      _location = loc[1];
    } else {
      return null;
    }
    r = _location.match(reg); // 匹配目标参数
  } else if (location.search) {
    r = location.search.substr(1).match(reg); // 匹配目标参数
  } else {
    return null;
  }

  if (r != null) {
    return decodeURIComponent(r[2]);
  }
  return null; // 返回参数值
}
export function getParam(_location) {
  let loc = _location;
  let lastStr = loc.substr(loc.lastIndexOf('/') + 1);
  return lastStr.includes('?') ? lastStr.split('?')[0] : lastStr;
}

export function getImgNaturalDimensions(imgSrc, callback) {
  var nWidth, nHeight;
  // if (img.naturalWidth) { // 现代浏览器
  //     nWidth = img.naturalWidth
  //     nHeight = img.naturalHeight
  // } else { // IE6/7/8
  const image = new Image();
  image.src = imgSrc;
  image.onload = () => {
    callback(image.width, image.height);
  };
  // }
  return [nWidth, nHeight];
}
